<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/linearLayout2"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white_bg"
    android:weightSum="20">

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/view_pager"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginBottom="5dp"
        android:overScrollMode="never"
        app:layout_constraintBottom_toTopOf="@+id/circle_indicator"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <me.relex.circleindicator.CircleIndicator3
        android:id="@+id/circle_indicator"
        android:layout_width="0dp"
        android:layout_height="16dp"
        android:layout_marginBottom="15dp"
        app:ci_drawable="@drawable/selected_dot_primary"
        app:ci_drawable_unselected="@drawable/unselected_dot_accent"
        app:ci_gravity="center"

        app:ci_height="8dp"
        app:ci_width="8dp"

        android:paddingVertical="@dimen/_15sdp"

        app:layout_constraintBottom_toTopOf="@+id/register"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_pager" />


    <TextView
        android:id="@+id/register"
        android:layout_width="0dp"
        android:layout_height="wrap_content"

        android:layout_marginStart="15dp"
        android:paddingVertical="@dimen/_10sdp"

        android:layout_marginBottom="15dp"
        android:background="@drawable/round_corners"

        android:backgroundTint="@color/color_primary"
        android:fontFamily="@font/nunito_regular"
        android:gravity="center"
        android:text="@string/register"
        android:textAlignment="center"
        android:textAllCaps="false"
        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
        android:textColor="@color/white_bg"

        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/login"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/circle_indicator" />

    <TextView
        android:id="@+id/login"
        android:layout_width="0dp"
        android:layout_height="wrap_content"

        android:layout_marginEnd="20dp"

        android:paddingVertical="@dimen/_10sdp"

        android:background="@drawable/login_btn_bg"
        android:fontFamily="@font/nunito_regular"

        android:gravity="center"
        android:text="@string/login"
        android:textAlignment="center"
        android:textAllCaps="false"
        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
        android:textColor="@color/black"

        app:backgroundTint="#EEF5FC"
        app:layout_constraintBaseline_toBaselineOf="@+id/register"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/register" />


</androidx.constraintlayout.widget.ConstraintLayout>